"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class DepthCount(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "gte20",
        "lt10",
        "lt15",
        "lt20",
        "lt5",
        "na",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_2 import opencb as opencb_2_9_3

        return {
            "org.opencb.biodata.models.variant.metadata.DepthCount": opencb_2_9_3.DepthCount,
        }

    __slots__ = [
        "gte20",
        "lt10",
        "lt15",
        "lt20",
        "lt5",
        "na",
    ]

    def __init__(
        self,
        gte20,
        lt10,
        lt15,
        lt20,
        lt5,
        na,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_2_9_3.DepthCount model.

        :param gte20:
        :type gte20: int
        :param lt10:
        :type lt10: int
        :param lt15:
        :type lt15: int
        :param lt20:
        :type lt20: int
        :param lt5:
        :type lt5: int
        :param na:
        :type na: int
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
